Bug 1475561 - Some tests fail on s390x
Summary: Some tests fail on s390x
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: vkmark
Version: 30
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yanko Kaneti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-s390x
TreeView+ depends on / blocked
 
Reported: 2017-07-26 22:01 UTC by Yanko Kaneti
Modified: 2019-02-19 17:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Yanko Kaneti 2017-07-26 22:01:00 UTC
......
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.quom21
+ umask 022
+ cd /builddir/build/BUILD
+ cd vkmark-aa0de26fff41524489b06e32151ac605081c774b
+ /usr/bin/ninja test -v -j2 -C s390x-redhat-linux-gnu
ninja: Entering directory `s390x-redhat-linux-gnu'
[0/1] /usr/bin/python3 -u /usr/bin/mesontest --no-rebuild --print-errorlogs
1/1 vkmark tests                            FAIL     1.39 s
OK:         0
FAIL:       1
SKIP:       0
TIMEOUT:    0
The output from the failed tests:
1/1 vkmark tests                            FAIL     1.39 s
--- command ---
/builddir/build/BUILD/vkmark-aa0de26fff41524489b06e32151ac605081c774b/s390x-redhat-linux-gnu/tests/vkmark-tests
--- stdout ---
Warning: Scene 'test_scene_1' doesn't accept option 'testoptinvalid'
Warning: Scene 'test_scene_1' doesn't accept option 'testoptinvalid1'
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
vkmark-tests is a Catch v1.9.6 host application.
Run with -? for options
-------------------------------------------------------------------------------
Scenario: model to mesh
     Given: A model with rectangle faces
-------------------------------------------------------------------------------
../tests/model_test.cpp:87
...............................................................................
../tests/model_test.cpp:87: FAILED:
due to unexpected exception with message:
  Failed to parse model string of type ply
-------------------------------------------------------------------------------
Scenario: model to mesh
     Given: A model with colors
-------------------------------------------------------------------------------
../tests/model_test.cpp:158
...............................................................................
../tests/model_test.cpp:158: FAILED:
due to unexpected exception with message:
  Failed to parse model string of type ply
-------------------------------------------------------------------------------
Scenario: model to mesh
     Given: A model with multiple vertex attributes
-------------------------------------------------------------------------------
../tests/model_test.cpp:198
...............................................................................
../tests/model_test.cpp:198: FAILED:
due to unexpected exception with message:
  Failed to parse model string of type ply
===============================================================================
test cases:  14 |  13 passed | 1 failed
assertions: 176 | 173 passed | 3 failed
--- stderr ---
vkmark: unrecognized option '--invalid'
-------
Full log written to /builddir/build/BUILD/vkmark-aa0de26fff41524489b06e32151ac605081c774b/s390x-redhat-linux-gnu/meson-logs/testlog.txt
FAILED: test 
/usr/bin/python3 -u /usr/bin/mesontest --no-rebuild --print-errorlogs
ninja: build stopped: subcommand failed.
....

Comment 1 Jan Kurik 2017-08-15 09:01:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Ben Cotton 2018-11-27 18:31:05 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-02-19 17:11:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.


Note You need to log in before you can comment on or make changes to this bug.